# std::istream_iterator::operator++, operator++(int)

From cppreference.com
< cpp‎ | iterator‎ | istream iterator

istream_iterator& operator++(); | (1) |
istream_iterator operator++(int); | (2) |

Reads a value from the underlying stream and stores it into the iterator object.

The behavior is undefined if the iterator is end-of-stream iterator.

### Parameters

(none)

### Return value

1) *this.
2) An `istream_iterator` that holds an unchanged value.

### Exceptions

(none)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/iterator/istream_iterator/operator_arith&oldid=61416"